Subject: Re: [PATCH 0/3] pack-bitmap: boundary-based bitmap traversal

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Apr 2023 11:02:25 -0700

Taylor Blau <[email-masked]> writes:

> This improves many cases where using bitmaps was significantly *slower*
> than regular, non-bitmap traversal. In some instances, using bitmaps is
> still slower than the non-bitmap case, but it is a substantial
> improvement over the classic bitmap walk.
> ...
> In a large repository on GitHub.com, the timings to compute the objects
> unique to "master", as in:
>
>     $ git rev-list --count --objects master --not --exclude=master --branches
>
> improve as follows:

Curious---when would it be significantly faster to use bitmaps?
"Most of the time"?  "In not-too-large repository?"